Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.map
Class Polyline

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.map.Polyline

All Implemented Interfaces:
  MapProviders

    public class Polyline

extends JsObject
implements MapProviders

A Polyline class.
Note that Polylines are not supported by OpenLayers

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`Polyline(com.google.gwt.core.client.JavaScriptObject jsObj)`
`Polyline(LatLonPoint[] points)` Create a new Polyline.

Method Summary
`static Polyline` | `instance(com.google.gwt.core.client.JavaScriptObject jsObj)`
`void` | `setChild(com.google.gwt.core.client.JavaScriptObject proprietaryPolyline)`
`void` | `setColor(java.lang.String color)` Set the line color in hex for (eg #RRGGBB).
`void` | `setOpacity(float opacity)` Sets the line opacity.
`void` | `setWidth(int width)` The width / thickness of the polyline in pixels.
`com.google.gwt.core.client.JavaScriptObject` | `toFreeEarth()` A FreeEarth compatible Polyline.
`com.google.gwt.core.client.JavaScriptObject` | `toGoogle()` A Google Maps compatible Polyline.
`com.google.gwt.core.client.JavaScriptObject` | `toMap24()` A Map24 Polyline.
`com.google.gwt.core.client.JavaScriptObject` | `toMapQuest()` A MapQuest compatible Polyline.
`com.google.gwt.core.client.JavaScriptObject` | `toMicrosoft()` A Microsoft Virtual Earth compatible Polyline.
`com.google.gwt.core.client.JavaScriptObject` | `toMultiMap()` A MultiMap compatible Polyline.
`com.google.gwt.core.client.JavaScriptObject` | `toOpenLayers()` Polylines are not supported by OpenLayers
`com.google.gwt.core.client.JavaScriptObject` | `toYahoo()` A Yahoo compatible Polyline.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Polyline

    public Polyline(LatLonPoint[] points)

  Create a new Polyline.

  Parameters:
    `points` - the points for the Polyline

### Polyline

    public Polyline(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### instance

    public static Polyline instance(com.google.gwt.core.client.JavaScriptObject jsObj)

### setChild

    public void setChild(com.google.gwt.core.client.JavaScriptObject proprietaryPolyline)

### setColor

    public void setColor(java.lang.String color)

  Set the line color in hex for (eg #RRGGBB).

  Parameters:
    `color` - the line color

### setOpacity

    public void setOpacity(float opacity)

  Sets the line opacity.

  Parameters:
    `opacity` - a float between 0.0 and 1.0

### setWidth

    public void setWidth(int width)

  The width / thickness of the polyline in pixels. Defaults to 3.

  Parameters:
    `width` - the width / thickness of the polyline

### toFreeEarth

    public com.google.gwt.core.client.JavaScriptObject toFreeEarth()

  A FreeEarth compatible Polyline.

  Specified by:
    `toFreeEarth` in interface `MapProviders`
  Returns:
    a FE.Polyline object

### toGoogle

    public com.google.gwt.core.client.JavaScriptObject toGoogle()

  A Google Maps compatible Polyline.

  Specified by:
    `toGoogle` in interface `MapProviders`
  Returns:
    a GPolyline object

### toMap24

    public com.google.gwt.core.client.JavaScriptObject toMap24()

  A Map24 Polyline.

  Specified by:
    `toMap24` in interface `MapProviders`
  Returns:
    a Map24.Polyline object

### toMapQuest

    public com.google.gwt.core.client.JavaScriptObject toMapQuest()

  A MapQuest compatible Polyline.

  Returns:
    a MQLineOverlay object

### toMicrosoft

    public com.google.gwt.core.client.JavaScriptObject toMicrosoft()

  A Microsoft Virtual Earth compatible Polyline.

  Specified by:
    `toMicrosoft` in interface `MapProviders`
  Returns:
    a VEPolyline object

### toMultiMap

    public com.google.gwt.core.client.JavaScriptObject toMultiMap()

  A MultiMap compatible Polyline.

  Specified by:
    `toMultiMap` in interface `MapProviders`
  Returns:
    a MMPolyLineOverlay object

### toOpenLayers

    public com.google.gwt.core.client.JavaScriptObject toOpenLayers()
                                                             throws java.lang.UnsupportedOperationException

  Polylines are not supported by OpenLayers

  Specified by:
    `toOpenLayers` in interface `MapProviders`
  Throws:
    `java.lang.UnsupportedOperationException`

### toYahoo

    public com.google.gwt.core.client.JavaScriptObject toYahoo()

  A Yahoo compatible Polyline.

  Specified by:
    `toYahoo` in interface `MapProviders`
  Returns:
    a YPolyline object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD